IEnvironmentVariable (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.project.IEnvironmentVariable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder.project
Interface IEnvironmentVariable

    public interface IEnvironmentVariable

IEnvironmentVariable represents a single environment variable.

See Also:
  `IEnvironmentVarsInfo`

Field Summary
`static int` | `ENV_VAR_USE_APPEND` The value is added to the end of the current variable
`static int` | `ENV_VAR_USE_DEFAULT` The variable should be used as it comes from the OS
`static int` | `ENV_VAR_USE_PREPEND` The value is added to the beginning of the current variable
`static int` | `ENV_VAR_USE_REPLACE` The value replacest the current variable in it's entirety
`static int` | `ENV_VAR_USE_UNDEFINE` The variable is not used
`static java.lang.String` | `EPOCROOT_ENV_VAR_NAME`
`static java.lang.String` | `EQUALS`
`static java.lang.String` | `MWCSYM2INCLUDES_ENV_VAR_NAME`
`static java.lang.String` | `MWCSYM2LIBRARIES_ENV_VAR_NAME`
`static java.lang.String` | `MWCSYM2LIBRARYFILES_ENV_VAR_NAME`
`static java.lang.String` | `PATH_ENV_VAR_NAME`

Method Summary
`java.lang.String` | `getName()`
`int` | `getUse()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String name)`
`void` | `setUse(int use)`
`void` | `setValue(java.lang.String value)`

Field Detail

### ENV_VAR_USE_DEFAULT

    static final int ENV_VAR_USE_DEFAULT

  The variable should be used as it comes from the OS

  See Also:
    Constant Field Values

### ENV_VAR_USE_PREPEND

    static final int ENV_VAR_USE_PREPEND

  The value is added to the beginning of the current variable

  See Also:
    Constant Field Values

### ENV_VAR_USE_APPEND

    static final int ENV_VAR_USE_APPEND

  The value is added to the end of the current variable

  See Also:
    Constant Field Values

### ENV_VAR_USE_REPLACE

    static final int ENV_VAR_USE_REPLACE

  The value replacest the current variable in it's entirety

  See Also:
    Constant Field Values

### ENV_VAR_USE_UNDEFINE

    static final int ENV_VAR_USE_UNDEFINE

  The variable is not used

  See Also:
    Constant Field Values

### EQUALS

    static final java.lang.String EQUALS

See Also:
  Constant Field Values

### PATH_ENV_VAR_NAME

    static final java.lang.String PATH_ENV_VAR_NAME

See Also:
  Constant Field Values

### EPOCROOT_ENV_VAR_NAME

    static final java.lang.String EPOCROOT_ENV_VAR_NAME

See Also:
  Constant Field Values

### MWCSYM2INCLUDES_ENV_VAR_NAME

    static final java.lang.String MWCSYM2INCLUDES_ENV_VAR_NAME

See Also:
  Constant Field Values

### MWCSYM2LIBRARIES_ENV_VAR_NAME

    static final java.lang.String MWCSYM2LIBRARIES_ENV_VAR_NAME

See Also:
  Constant Field Values

### MWCSYM2LIBRARYFILES_ENV_VAR_NAME

    static final java.lang.String MWCSYM2LIBRARYFILES_ENV_VAR_NAME

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

### getValue

    java.lang.String getValue()

### getUse

    int getUse()

### setName

    void setName(java.lang.String name)

### setValue

    void setValue(java.lang.String value)

### setUse

    void setUse(int use)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD